<?php
class ExpedienteA_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

public function guardar($parametro){//guarda los datos de un nuevo expediente en la bd

     $campos=array(
      'Idexpediente'  => $parametro['Idexpediente'],
     'Clientes_IdClientes' => $parametro['Clientes_IdClientes'],
     'SupervisionMedica' => $parametro['SupervisionMedica'],
     'TratamientoMedico' => $parametro['TratamientoMedico'],
     'CualTratamientoMedico' => $parametro['CualTratamientoMedico'],
     'TratamientoQuirurgico' => $parametro['TratamientoQuirurgico'],
     'CualTratamientoQuirurgico' => $parametro['CualTratamientoQuirurgico'],
     'TieneAlergias' => $parametro['TieneAlergias'],
     'CualesAlergias' => $parametro['CualesAlergias'],
     'CirugiasPlasticas' => $parametro['CirugiasPlasticas'],
     'CualesCirugiasPlasticas' => $parametro['CualesCirugiasPlasticas'],
     'Implantes' => $parametro['Implantes'],
     'CualesImplantes' => $parametro['CualesImplantes'],
     'DesajustesOseos' => $parametro['DesajustesOseos'],
     'CualesDesajustesOseos' => $parametro['CualesDesajustesOseos'],
     'MedicamentosUltimosMeses' => $parametro['MedicamentosUltimosMeses'],
     'CualesMedicamentos' => $parametro['CualesMedicamentos'],
     'AutorizaciónMedica' => $parametro['AutorizaciónMedica'],
     'CualMedico' => $parametro['CualMedico'],
     'DiagnosticoyObservaciones' => $parametro['DiagnosticoyObservaciones'],
     'Historia' => $parametro['Historia'],
     'usuarios_IdUsuarios' => $parametro['usuarios_IdUsuarios'],
     
         
            'Diabetes' => $parametro['Diabetes'],
            'Hepatitis' => $parametro['Hepatitis'],
            'Vitiligo' => $parametro['Vitiligo'],
            'ProblemasCirculatorios' => $parametro['ProblemasCirculatorios'],
            'RetencionLiquidos' => $parametro['RetencionLiquidos'],
            'Alergias' => $parametro['Alergias'],
            'Herpes' => $parametro['Herpes'],
            'Artritis' => $parametro['Artritis'],
            'DesajustesHormonales' => $parametro['DesajustesHormonales'],
            'Cicatrizacion' => $parametro['Cicatrizacion'],
            'Cancer' => $parametro['Cancer'],
            'Hernias' => $parametro['Hernias'],
            'Cirugias' => $parametro['Cirugias'],
            'InsuficienciaHepatica' => $parametro['InsuficienciaHepatica'],
            'InsuficienciaRenal' => $parametro['InsuficienciaRenal'],
            'Quistes' => $parametro['Quistes'],
            'Miomas' => $parametro['Miomas'],
            'Protesis' => $parametro['Protesis'],
            'ProblemasAuditivos' => $parametro['ProblemasAuditivos'],
            'TrigliseridosAltos' => $parametro['TrigliseridosAltos'],
            'Migraña' => $parametro['Migraña'],
            'Implantes' => $parametro['Implantes'],
            'Hipotension' => $parametro['Hipotension'],
            'Hiportiroidismo' => $parametro['Hiportiroidismo'],
            'DesajustesOseos' => $parametro['DesajustesOseos'],
            'Marcapasos' => $parametro['Marcapasos'],
            'Dermatitis' => $parametro['Dermatitis'],
            'Psoriasis' => $parametro['Psoriasis'],
            'Cuperosis' => $parametro['Cuperosis'],
            'Rosacia' => $parametro['Rosacia'],
            'Acantosis' => $parametro['Acantosis'],
            'Hipertension' => $parametro['Hipertension'],
            'Hipertiroidismo' => $parametro['Hipertiroidismo'],
            'Epilepsia' => $parametro['Epilepsia'],
            'Cardiopatias' => $parametro['Cardiopatias'],
            'Claustrofobia' => $parametro['Claustrofobia'],
            'ColesterolAlto' => $parametro['ColesterolAlto'],
            'Placas' => $parametro['Placas'],
            'Otras' => $parametro['Otras'],
            'CualesOtras' => $parametro['CualesOtras'],
            'ComentariosE' => $parametro['ComentariosE'],        
 
            'Antibioticos' => $parametro['Antibioticos'],
            'Vitaminas' => $parametro['Vitaminas'],
            'Analgesicos' => $parametro['Analgesicos'],
            'Antidepresivos' => $parametro['Antidepresivos'],
            'Corticoides' => $parametro['Corticoides'],
            'Antihismaticos' => $parametro['Antihismaticos'],
            'Antiacneticos' => $parametro['Antiacneticos'],
            'Antirritmicos' => $parametro['Antirritmicos'],
            'Pigmentacion' => $parametro['Pigmentacion'],
            'MEpilepcia' => $parametro['MEpilepcia'],
            'MDiabetes' => $parametro['MDiabetes'],
            'Hemeopaticos' => $parametro['Hemeopaticos'],
            'Naturistas' => $parametro['Naturistas'],
            'Otros' => $parametro['Otros'],
            'Comentarios' => $parametro['Comentarios'],

            

          );

       $query=$this->db->insert('expediente',$campos);
       $res=$this->db->affected_rows();
          if($res==1){
            //Muestra una alerta cuando no se realizo
          $IdClient=$this->uri->segment(5);
          echo "<script>alert('Datos guardados correctamente');</script>";
           redirect("clientes/administrador/clienteA",'refresh');
    
          }else{
            //Verifica que la consulta se realizo 
          echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
          //redirect('clientes/administrador/clienteA');
        }
      }
  

   public function obtenerenlaceE ($id){//permite acceder al id del expediente que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('Clientes_IdClientes', $id);
      $query=$this->db->get('expediente');
      if($query->num_rows()>0){
         return $query;

      }else{

    $this->load->view('layout/header');
    $this->load->view('layout/menuAdmin');
    $this->load->view('expediente/administrador/crearexpediente_view',$id);
    $this->load->view('layout/footer');
      
      }

   }



   public function obtenerExpe($id){

    $this->db->where('Idexpediente', $id);
      $query=$this->db->get('expediente');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }


   }




   function editarenlace ($Clientes_IdClientes, $data)//permite guardar en la bd la información que se modificó del expediente
   {
      $this->db->where('Clientes_IdClientes', $Clientes_IdClientes);
      $this->db->update('expediente', $data);

       $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo 
      if($res==1){
        //Muestra una alerta cuando se realizo
        echo "<script>alert('Datos guardados correctamente');</script>";
         redirect("clientes/administrador/clienteA",'refresh');
      
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
         redirect("clientes/administrador/clienteA",'refresh');

      }else {
        echo "<script>alert('No se hizo ningun cambio');</script>";
         redirect("clientes/administrador/clienteA",'refresh');

      }
   }



  public function BuscarClientes(){
     $query = $this->db-> query('SELECT IdClientes,NombreCliente FROM clientes ORDER BY NombreCliente ASC'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdClientes, ENT_QUOTES)] = htmlspecialchars($row->NombreCliente, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

      public function obtenerNombre ($id){
    $this->db->select('*');
    $this->db->join('clientes','Clientes_IdClientes= IdClientes','inner');
    $this->db->where('Idexpediente',$this->uri->segment(5));
    $query=$this->db->get('expediente');
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdClientes, ENT_QUOTES)] = htmlspecialchars($row->NombreCliente, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    public function BuscarUsuario(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdUsuarios, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

     public function BuscarUsuarioC(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->where('Rol_IdRol',3);
     $this->db->where('Estatus','Activo');
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->NombreUsuario, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

 public function eliminar ($id){
      
      $this->db->where('Idexpediente', $id);
      $this->db->delete('expediente');
      $res=$this->db->affected_rows();
      if($res==0){
        //Muestra una alerta cuando se realizo
      echo "<script>alert('Error, no se pudierón eliminar los datos');</script>";
      redirect('clientes/Administrador/clienteA','refresh');
      }else{
        //Muestra una alerta cuando no se realizo
      echo "<script>alert('Los datos se han eliminado correctamente');</script>";
     redirect('clientes/Administrador/clienteA','refresh');
      }
   }
    public function guardarFacial($parametro){//guarda los datos de un nuevo expediente en la bd
        $id=$this->uri->segment(5);
     $campos=array(
     'Tratamiento' => $parametro['Tratamiento'],
     'Sesion' => $parametro['Sesion'],
     'Productos' => $parametro['Productos'],
     'ObservacionesFacial' => $parametro['ObservacionesFacial'],
     'expediente_Idexpediente' => $parametro['expediente_Idexpediente'],
     'Usuario' => $parametro['Usuario']
     
      );
      $this->db->insert('facial',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         echo "<script>alert('Datos guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }else{
        //Verifica que la consulta se realizo 
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }
    }



    public function guardarEligth($parametro){//guarda los datos de un nuevo expediente en la bd
     $campos=array(
        

     'Sesion' => $parametro['Sesion'],
     'ZonaEligth' => $parametro['ZonaEligth'],
     'Potencia' => $parametro['Potencia'],
     'Disparos' => $parametro['Disparos'],
     'ObservacionesEligth' => $parametro['ObservacionesEligth'],
     'expediente_Idexpediente' => $parametro['expediente_Idexpediente'],
     'Usuario' => $parametro['Usuario']
     
      );
      $this->db->insert('eligth',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
          $id=$this->uri->segment(5);
         //Muestra una alerta cuando no se realizo
         echo "<script>alert('Datos guardados correctamente');</script>";
        redirect('clientes/administrador/clienteA','refresh');
      }else{
        //Verifica que la consulta se realizo 
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }
    }

    public function guardarCorporal($parametro){//guarda los datos de un nuevo expediente en la bd
        $id=$this->uri->segment(5);
     $campos=array(
     'Tratamiento' => $parametro['Tratamiento'],
     'Sesion' => $parametro['Sesion'],  
     'Espalda' => $parametro['Espalda'],
     'Busto' => $parametro['Busto'],
     'Abdomen' => $parametro['Abdomen'],
     'Cintura' => $parametro['Cintura'],
     'CAlta' => $parametro['CAlta'],
     'CBaja' => $parametro['CBaja'],
     'PDer' => $parametro['PDer'],
     'PIzq' => $parametro['PIzq'],
     'BDer' => $parametro['BDer'],
     'BIzq' => $parametro['BIzq'],
     'ObservacionCorporal' => $parametro['ObservacionCorporal'],
     'expediente_Idexpediente' => $parametro['expediente_Idexpediente'],
     'Usuario' => $parametro['Usuario']
     
      );
      $this->db->insert('corporal',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         echo "<script>alert('Datos guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }else{
        //Verifica que la consulta se realizo 
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');


      }
    }

    public function guardarPestanas($parametro){//guarda los datos de un nuevo expediente en la bd
        $id=$this->uri->segment(5);
     $campos=array(
     'Tratamiento' => $parametro['Tratamiento'],
     'Sesion' => $parametro['Sesion'],
     'Grosor' => $parametro['Grosor'],
     'Longitud'=> $parametro['Longitud'],
     'Curva' => $parametro['Curva'],
     'Cantidad' => $parametro['Cantidad'],
     'ResultadoAler' => $parametro['ResultadoAler'],
     'ObservacionesPestañas' => $parametro['ObservacionesPestañas'],
     'expediente_Idexpediente' => $parametro['expediente_Idexpediente'],
      'Usuario' => $parametro['Usuario']
     
      );
      $this->db->insert('pestañas',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         echo "<script>alert('Datos guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }else{
        //Verifica que la consulta se realizo 
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }
    }




     public function Relajante($parametro){//guarda los datos de un nuevo expediente en la bd
        $id=$this->uri->segment(5);
     $campos=array(
     'Tratamiento' => $parametro['Tratamiento'],
     'Productos' => $parametro['Productos'],
     'ObservacionesFacial' => $parametro['ObservacionesFacial'],
     'expediente_Idexpediente' => $parametro['expediente_Idexpediente'],
     'expediente_clientes_IdClientes' => $parametro['expediente_clientes_IdClientes'],
      'usuarios_IdUsuarios' => $parametro['usuarios_IdUsuarios']
     
      );
      $this->db->insert('facial',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         echo "<script>alert('Datos guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }else{
        //Verifica que la consulta se realizo 
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }
    }

     public function guardarRelajante($parametro){//guarda los datos de un nuevo expediente en la bd
        $id=$this->uri->segment(5);
     $campos=array(
     'Tratamiento' => $parametro['Tratamiento'],
     'Sesion' => $parametro['Sesion'],
     'Productos' => $parametro['Productos'],
     'ObservacionesRelajante' => $parametro['ObservacionesRelajante'],
     'expediente_Idexpediente' => $parametro['expediente_Idexpediente'],
      'Usuario' => $parametro['Usuario']
     
      );
      $this->db->insert('relajante',$campos);
      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==1){
         //Muestra una alerta cuando no se realizo
         echo "<script>alert('Datos guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }else{
        //Verifica que la consulta se realizo 
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
        redirect("clientes/administrador/clienteA",'refresh');
      }
    }



}